Bug 645275 (CVE-2010-3855) - CVE-2010-3855 Freetype : Heap based buffer overflow in ft_var_readpackedpoints()
Summary: CVE-2010-3855 Freetype : Heap based buffer overflow in ft_var_readpackedpoints()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3855
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 651757 651758 651759 651760 651761 651762 651764 806283
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-21 08:02 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 12:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-04 14:34:09 UTC


Attachments (Terms of Use)
upstream patch (1.44 KB, patch)
2010-10-21 08:37 UTC, Huzaifa S. Sidhpurwala
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0889 0 normal SHIPPED_LIVE Important: freetype security update 2010-11-16 16:50:34 UTC

Description Huzaifa S. Sidhpurwala 2010-10-21 08:02:57 UTC
A heap based buffer overflow was found in the "ft_var_readpackedpoints()" function in src/truetype/ttgxvar.c when processing TrueType GX fonts.

If a user opened a specially crafted TrueType GX font file, with an application complied with freetype library, it could cause denial of service (application crash) or potentially execute arbitrary code with the privileges of the user 
running that application.

Upstream bug:
https://savannah.nongnu.org/bugs/?31310

The following commit fixes this issue:
http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=59eb9f8cfe7d1df379a2318316d1f04f80fba54a

Secunia:
http://secunia.com/advisories/41738

Comment 2 Huzaifa S. Sidhpurwala 2010-10-21 08:37:26 UTC
Created attachment 454745 [details]
upstream patch

Comment 7 Huzaifa S. Sidhpurwala 2010-11-10 08:58:31 UTC
Created freetype tracking bugs for this issue

Affects: fedora-all [bug 651764]

Comment 8 errata-xmlrpc 2010-11-16 16:50:47 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2010:0889 https://rhn.redhat.com/errata/RHSA-2010-0889.html


Note You need to log in before you can comment on or make changes to this bug.